Subject: [bug#75608] [PATCH] gnu: elixir: Update to 1.18.1.

From: Igor Goryachev <[email-masked]>
Date: Fri, 17 Jan 2025 10:44:31 +0200

jgart <[email-masked]> writes:

> Thanks, applied!

Thank you too.

> What are you thoughts on packaging https://github.com/elixir-lsp/elixir-ls

That's a really good idea, I've already thought about it, but I think we
should wait a little bit for the official release of the LSP server, which has
been announced here [1], and it seems to me that it could even be included in
the the main Elixir distribution (like Rust does, but not sure if the Elixir
team will follow that). For now there are three LS: elixir-ls, lexical and
next-ls, each of which is better than the other in some ways, but all of them
will soon become obsolete.

[1]: https://elixir-lang.org/blog/2024/08/15/welcome-elixir-language-server-team/

-- 
Igor Goryachev